Subject: Info Report Generated

From: Phone Number Compromised <[email-masked]>
Date: Wed, 27 Aug 2014 10:29:49 -0700

Notification Generated for: Krb-wg-archive

Recent Findings: 

Your phone number may have been compromised. 
------------------------------------------------------------------
- This means your number may have fallen into the wrong hands -  

If you received a strange call, unwanted SMS message, or just came across
a number you don't recognize and want more information about, most likely
you are not the only one. 

1) Enter Phone Number Here -> / http://www.woodenmac.com/begin/number/trace/gen.index

2) View Name/Address/Age of Caller

'
To stop further alerts - write Alert Center Notifications at  1 4 0 0  South Jama Goddard, KS 67052
or visit http://www.woodenmac.com/ii0fi/3trf.jbg7

Although discussions bring insight in huge amounts (probably more than not-constructive, unanswerable questions), this is a Q&A site. Just because it's a terribly popular Q&A site doesn't mean it should experience scope-creep like that. Certainly using Q&A style, you most likely can't capture all human knowledge, but that doesn't chang and after his Taylor Swift fiasco a year later.
t's not just the learning curve though. It's hard to argue with the power of plain text. It's hard to argue with 30+ years of tools that deal with text.  time arguing with 1000+ years of horses too. I'm not trying to be flippant. Just pointing out that past success does not remove the potential benefit of innovation. about innovation. I don't really agree with the point that piping objects is more powerful than piping text. If you are piping objects, all of your command-line tools must understand objects. Plain text is the lowest common denominator that all languages can understand.  CAN be more flexible, but that doesn't mean that parsing them is trivial. Yes, with text you have the formatting issue, but awk, sed and perl have mostly solved the problem. What happens when objects don't have compatible methods?: there's nothing you get with MSH that you don't get with Perl or Python, and both, being full-fledged languages, accomplish much more, and since they're more verbose than bash
  but about the same as MSH (and much more readable), I still don't see the advantage.   I totally agree with your points. Dealing with objects or proprietary configuration mechanisms (rather than plain text) is what makes Windows so difficult to deal with on the command line. The benefit of Objects is that when you want a property, you ask for it - you don't have to parse,guess,cast. I did not understand your point about "what happens when objects don't have compatible methods" - Could you say that another way or give an example of the problem? Thanks.  that if you're dealing with a bunch of dissimilar objects you need to introspection to handle their different methods and properties, which means that the only common denominator is text, so you're back to square one, 'cept without without your wonderful usual
1. It is not possible to enumerate all the differences between all